difficulty in choosing the compiler

can i write code for c++11 in your code editor , i did not find the c++11 in your code editor.
please let me know if i can write code in c++11 .
and would like to know about c(gcc) compiler options ,is this compiler for the earlier versions of c++?

Nope, C++11 isn’t available. But you may use C++14 instead.

Better use c++14(gcc 6.3) which supports all c++11 libraries with new additions i guess and you can use all of your cool STL stuff without worries!!

//